+++
title = "Services hosted on jotoho.de"
description = "This page lists the various servers running under the jotoho.de domain name and by who and how they may be accessed."
date = "2021-06-29 22:14:11+02:00"
updated = "2021-10-02 18:35:00+02:00"
+++

Besides this website, my domain also has a number of other services/servers running that are set up for learning purposes or for personal use by myself, family and acquaintances. The list only contains services available from the public internet.

-----
### Publically accessible services

* [Personal Nextcloud](https://nextcloud.jotoho.de): This Nextcloud instance is set up for use by myself and those I have invited to store, conveniently access and exchange files and other information.
* [Gitea](https://gitea.jotoho.de): I'm currently experimenting with the Git Server software Gitea as a lightweight alternative or addon to GitLab.
Account Registration is limited to whitelisted email domains and accounts need to manually be confirmed by me before becoming active.
* [Vaultwarden](https://bitwarden.jotoho.de): Bitwarden Fork for storing and synchronizing my access credentials and other secrets on my own infrastructure.
* [Caddy Fileserver](https://downloads.jotoho.de): For holding and serving public files directly without needing to go through Nextcloud.
Has increased compatibility for use-cases like embedding images or media on this website.

-----
### Restricted/Internal Services

These services/servers are only available from whilelisted IP addresses and are exclusively meant for use by myself or family.

* [Pi-Hole](https://pihole.jotoho.de) (including Webinterface)
* PHPMyAdmin

-----
### Special Purpose Subdomains

* **lab.jotoho.de**: Delegated to DigitalOcean Nameservers for quick configuration of droplets and other testing projects hosted there.
Do not expect anything hosted under this subdomain or one of it's subdomains to live for more than a few hours or days.
Security issues, Anomalies or detected abuse of this subdomain [should be immediately reported to me via email](mailto:security@jotoho.de), so I can investigate and implement corrective measures, if necessary.
* **linode.jotoho.de**: Delegated to Linode Nameservers for management in their UI. I intend to do some experimentation and install different servers during my trial period while evaluating Linode as a platform and service provider. May be removed in the coming months. Please report anomalies and problems to the email address above.

-----
### Potential future additions or experiments

When I bought this domain, it became clear to me how very versatile and useful it can be to have a publicly listed internet namespace so I am always trying to find and learn new ways to put the domain to good use and try out new technologies & server-side software that I view as interesting or useful.

Things I may set up and play with in the future:

* personal mastodon or activitypub-compatible server
* outgoing SMTP server for service notifications
* Apache Guacamole for remote control of devices
